# Changelog
## 3.2.2 - released 2023-02-07
### Bugfix
- Fix crash in `SCMediaFileResource`, when bitrate is null.
- Fix OMID complete tracker not sent.

## 3.2.1 - released 2023-01-30
### Changed
- Updated smartclientcore to v6.3.1

## 3.2.0 - released 2023-01-20
### Added
- SCPlaylistSetup and default VMAP configuration, used to be able to specify different
  separation clips for VMAP preroll-, midroll- and postroll adbreaks.
- Generic function `getSmartclientcoreValue in `SCAdSlotController, which can be used to directly 
  access any JavaScript property from **smartclientcore**
- Class `SCPublicAd` with information about the current ad. 
- Simplified class diagram added to documentation
- Added properties `totalPlayableCommercials` and `totalPlayableClips` to `SCPublicAdSlot` and `SCAdInfo`.
### Changed
- Updated OMID SDK to v1.4.0
- Updated smartclientcore to v6.3.0
- Fixed OMID event problems
- Now DocC is used as the API documentation tool (opens in Xcode), 

## 3.1.2 - released 2022-12-06
### Changed
- The version number of the user-agent string is no longer specified by the frameworks 
  `CFBundleShortVersionString`, which could be overwritten by the version number of the implementing 
  app during appstore uploads (when the "Manage Version and Build Number" checkbox is active).
- Now the `debug` flag of the smartclientcore is set `false` per default. It can be activated by setting
  the new property `enableCoreDebugLogging` in `SCAdConfiguration`. 
  To activate debug logging of smartclientcore set this property to `true` .

## 3.1.1 - released 2022-11-14
### Changed 
- Fix UserAgent string of webView

## 3.1.0 - released 2022-10-25
### Changed 
- Fix crash in OMID controller, if verificationScript resource couldn't be created for any reason
- Update to smartclientcore v6.1.11
- Mark unused properties and functions as deprecated

## 3.0.0 - released 2022-06-01
### Changed 
- SmartclipSDKiOS now comes as a xcframework

### Added
- Update to smartclientcore v6.1.3
- OM SDK for iOS v1.3.34 implemented for certification by IAB TechLab
- Customization of various timeout values through SCAdConfiguration
- Tutorials that help with different implementation details

### Removed
- Outstream support
- Sequencer
- Reference App


## 2.3.0 - released 2020-11-10
### Feature
- Added possibility to customize the  `UIAlertController` for clickThrough to your own needs
    - Changes: Added Boolean value  `customizableClickThroughAlert` to `SCAdConfiguration`
                      Added optional function `- (void)displayClickThroughAlert` to protocols `SCAdFacadeDelegate`, `SCAdListener` and `SCAdSequencerDelegate`
### Bugfix
- Added timer to complete adSlot, if the adTag could not be parsed.

## 2.2.0 - released 2020-08-20
### Bugfix
- Improved visibility checking (instream and outstream) and fullscreen support (instream):
- Changes required to SCSequencerViewController:
        - Only pause sequencer in `onViewDidDisappear` if not going to fullscreen (for fullscreen display Apple uses a `AVFullscreenViewController` that holds the AVPlayerView. The switching to fullscreen triggers `onViewDidDisappear` in the `SCSequencerViewController`)
        - Add `SCSequencerViewControllerExtensions` with code to detect if the `AVPlayerViewController` is being displayed fullscreen 
        - Activate/Deactivate visibility checking for a certain `SCAdSlotController`/`SCAdSequencer` in `viewDidAppear`/`viewDidDisappear` 
        - Activate/Deactivate visibility checking if there is a UITabbarController in the view hierarchy (depending on the selection of a tab that includes the `SCSequencerViewController` or `SCOutstreamBaseViewController` in it's subview hierarchy - as an example see: `SCTabBarController`).
       - Added `-(void)clickTroughURL:(SCStringResultCompletionBlock)completion` to SCAdSequencer


## 2.1.6 - released 2020-08-25
### Feature
- Added possibility to customize the  `UIAlertController` for clickThrough to your own needs
- Changes: Added Boolean value  `customizableClickThroughAlert` to `SCAdConfiguration`
                      Added optional function `- (void)displayClickThroughAlert` to protocols `SCAdFacadeDelegate`, `SCAdListener` and `SCAdSequencerDelegate`
    

## 2.1.5 - released 2020-05-26
### Other
- Improvements to facilitate AppStore submission

## 2.1.4 - released 2020-04-09
### Feature
- Added function `presentationSizeChangedTo` in AdSequencer and AdListener
### Other
- Updating names and referneces to smartclip
